#!/bin/bash

. ~/.profile.d/modal_bash_formatting.sh

echo -e ${DISABLE_WRAP}

# Date check for Halloween
if date | grep -q " Oct 31 " ; then
    # HALLOWEEEEEEEENNNNNN
    echo -e ""
    echo -e "  ███▄ ▄███▓ ▒█████  ▓█████▄  ▄▄▄       ██▓       ${CLR_GRN} ▄▄▄       ██▓${CLR_RESET}"
    echo -e " ▓██▒▀█▀ ██▒▒██▒  ██▒▒██▀ ██▌▒████▄    ▓██▒       ${CLR_GRN}▒████▄    ▓██▒${CLR_RESET}"
    echo -e " ▓██    ▓██░▒██░  ██▒░██   █▌▒██  ▀█▄  ▒██░       ${CLR_GRN}▒██  ▀█▄  ▒██▒${CLR_RESET}"
    echo -e " ▒██    ▒██ ▒██   ██░░▓█▄   ▌░██▄▄▄▄██ ▒██░       ${CLR_GRN}░██▄▄▄▄██ ░██░${CLR_RESET}"
    echo -e " ▒██▒   ░██▒░ ████▓▒░░▒████▓  ▓█   ▓██▒░██████▒   ${CLR_GRN} ▓█   ▓██▒░██░${CLR_RESET}"
    echo -e " ░ ▒░   ░  ░░ ▒░▒░▒░  ▒▒▓  ▒  ▒▒   ▓▒█░░ ▒░▓  ░   ${CLR_GRN} ▒▒   ▓▒█░░▓  ${CLR_RESET}"
    echo -e " ░  ░      ░  ░ ▒ ▒░  ░ ▒  ▒   ▒   ▒▒ ░░ ░ ▒  ░   ${CLR_GRN}  ▒   ▒▒ ░ ▒ ░${CLR_RESET}"
    echo -e " ░      ░   ░ ░ ░ ▒   ░ ░  ░   ░   ▒     ░ ░      ${CLR_GRN}  ░   ▒    ▒ ░${CLR_RESET}"
    echo -e "        ░       ░ ░     ░          ░  ░    ░  ░   ${CLR_GRN}      ░  ░ ░  ${CLR_RESET}"
    echo -e "                      ░                           ${CLR_GRN}              ${CLR_RESET}"
    echo -e ""
else
    echo -e "                                              ${CLR_GRN}         ${CLR_GRN}  ▂▂▂▂▂▂▂▂▂▂▂▂▂${CLR_GRN}            ${CLR_RESET}"
    echo -e "                                              ${CLR_GRN}      ▂▄▆${CLR_GRN}▆██▛▀▀▀▀▀▀▀▀▜██${CLR_GRN}██▆▆▄▂      ${CLR_RESET}"
    echo -e " ███╗   ███╗ ██████╗ ██████╗  █████╗ ██╗      ${CLR_GRN}   ▗▆████${CLR_GRN}▀▔             ${CLR_GRN}▔▔▀▀▀▀▚▄    ${CLR_RESET}"
    echo -e " ████╗ ████║██╔═══██╗██╔══██╗██╔══██╗██║      ${CLR_GRN} ▗▟████▀ ${CLR_WHT}    ▗██▖    ▐█ ${CLR_GRN}  ▝▀▆▄▄▄    ${CLR_RESET}"
    echo -e " ██╔████╔██║██║   ██║██║  ██║███████║██║      ${CLR_GRN}▟████▀   ${CLR_WHT}   ▗█▘▝█▖   ▐█ ${CLR_GRN}      ▜█▀█▄ ${CLR_RESET}"
    echo -e " ██║╚██╔╝██║██║   ██║██║  ██║██╔══██║██║      ${CLR_GRN}█▌ ▐█▌   ${CLR_WHT}  ▗█▘  ▝█▖  ▐█ ${CLR_GRN}      ▐▄ ▄█ ${CLR_RESET}"
    echo -e " ██║ ╚═╝ ██║╚██████╔╝██████╔╝██║  ██║███████╗ ${CLR_GRN} ▀████   ${CLR_WHT} ▗█▘    ▝█▖ ▐█ ${CLR_GRN}    ▂▄███▀  ${CLR_RESET}"
    echo -e " ╚═╝     ╚═╝ ╚═════╝ ╚═════╝ ╚═╝  ╚═╝╚══════╝ ${CLR_GRN}   ▀▀██▄▄${CLR_GRN}               ${CLR_GRN} ▂▆███▀     ${CLR_RESET}"
    echo -e "                                              ${CLR_GRN}       ▀▀${CLR_GRN}██▄▄ ▀▀▆▄▄▄▄▆██${CLR_GRN}▀▀▀▘        ${CLR_RESET}"
fi

# Display IP and version

echo
echo
voxl-version -q

IP=$(voxl-my-ip)
if [ $? -ne 0 ]; then
    echo "no current network connection"
else
    echo -e "${SET_BOLD}${CLR_CYN}current IP${RESET_ALL}:   $IP"
fi
echo "────────────────────────────────────────────────────────────────────────────────"
echo -e ${ENABLE_WRAP}

# SKU-based secure file check
SKU_FILE="/data/modalai/sku.txt"
SECURE_FILE="/data/modalai/secure"

if [ -f "$SKU_FILE" ]; then
    SKU_CONTENT=$(cat "$SKU_FILE")
    if [[ "$SKU_CONTENT" =~ (D0008|D0019) ]]; then

        if [ ! -f "$SECURE_FILE" ]; then
            echo -e "${SET_BOLD}\n────────────────────────────────────────────────────────────────────────────────${CLR_RESET}"
            echo -e "cyber hardening status: ${SET_BOLD}${CLR_RED}NOT SECURE${CLR_RESET}"
            echo -e "${SET_BOLD}────────────────────────────────────────────────────────────────────────────────${CLR_RESET}"
            echo -e "${SET_BOLD}${CLR_RED}\n────────────────────────────────────────────────────────────────────────────────${CLR_RESET}"
            echo -e "${SET_BOLD}${CLR_RED}  WARNING: DEVICE IS NOT SECURE!  ${CLR_RESET}"
            echo -e "${SET_BOLD}${CLR_RED}  See user manual in order to secure device.  ${CLR_RESET}"
            echo -e "${SET_BOLD}${CLR_RED}────────────────────────────────────────────────────────────────────────────────\n${CLR_RESET}"
        else
            echo -e "${SET_BOLD}\n────────────────────────────────────────────────────────────────────────────────${CLR_RESET}"
            echo -e "cyber hardening status: ${SET_BOLD}${CLR_GRN}SECURE${CLR_RESET}"
            echo -e "${SET_BOLD}────────────────────────────────────────────────────────────────────────────────${CLR_RESET}"
        fi
    fi
fi
